mxGraphActions (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.util
Class mxGraphActions

    java.lang.Object
      com.mxgraph.swing.util.mxGraphActions

    public class mxGraphActions

extends Object

Nested Class Summary
`static class` | `mxGraphActions.DeleteAction`
`static class` | `mxGraphActions.DrillAction`
`static class` | `mxGraphActions.EditAction`
`static class` | `mxGraphActions.FoldAction`
`static class` | `mxGraphActions.GroupAction`
`static class` | `mxGraphActions.LayerAction`
`static class` | `mxGraphActions.RemoveFromParentAction`
`static class` | `mxGraphActions.SelectAction`
`static class` | `mxGraphActions.UngroupAction`
`static class` | `mxGraphActions.UpdateGroupBoundsAction`
`static class` | `mxGraphActions.ZoomAction`

Constructor Summary
`mxGraphActions()`

Method Summary
`static Action` | `getCollapseAction()`
`static Action` | `getDeleteAction()`
`static Action` | `getEditAction()`
`static Action` | `getEnterGroupAction()`
`static Action` | `getExitGroupAction()`
`static Action` | `getExpandAction()`
`static mxGraph` | `getGraph(ActionEvent e)`
`static Action` | `getGroupAction()`
`static Action` | `getHomeAction()`
`static Action` | `getRemoveFromParentAction()`
`static Action` | `getSelectAllAction()`
`static Action` | `getSelectChildAction()`
`static Action` | `getSelectEdgesAction()`
`static Action` | `getSelectNextAction()`
`static Action` | `getSelectNoneAction()`
`static Action` | `getSelectParentAction()`
`static Action` | `getSelectPreviousAction()`
`static Action` | `getSelectVerticesAction()`
`static Action` | `getToBackAction()`
`static Action` | `getToFrontAction()`
`static Action` | `getUngroupAction()`
`static Action` | `getUpdateGroupBoundsAction()`
`static Action` | `getZoomActualAction()`
`static Action` | `getZoomInAction()`
`static Action` | `getZoomOutAction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphActions

    public mxGraphActions()

Method Detail

### getDeleteAction

    public static Action getDeleteAction()

  Returns:
    the delete action

### getEditAction

    public static Action getEditAction()

  Returns:
    the edit action

### getGroupAction

    public static Action getGroupAction()

  Returns:
    the edit action

### getUngroupAction

    public static Action getUngroupAction()

  Returns:
    the edit action

### getRemoveFromParentAction

    public static Action getRemoveFromParentAction()

  Returns:
    the edit action

### getUpdateGroupBoundsAction

    public static Action getUpdateGroupBoundsAction()

  Returns:
    the edit action

### getSelectAllAction

    public static Action getSelectAllAction()

  Returns:
    the select all action

### getSelectVerticesAction

    public static Action getSelectVerticesAction()

  Returns:
    the select vertices action

### getSelectEdgesAction

    public static Action getSelectEdgesAction()

  Returns:
    the select edges action

### getSelectNoneAction

    public static Action getSelectNoneAction()

  Returns:
    the select none action

### getSelectNextAction

    public static Action getSelectNextAction()

  Returns:
    the select next action

### getSelectPreviousAction

    public static Action getSelectPreviousAction()

  Returns:
    the select previous action

### getSelectParentAction

    public static Action getSelectParentAction()

  Returns:
    the select parent action

### getSelectChildAction

    public static Action getSelectChildAction()

  Returns:
    the select child action

### getEnterGroupAction

    public static Action getEnterGroupAction()

  Returns:
    the go into action

### getExitGroupAction

    public static Action getExitGroupAction()

  Returns:
    the go up action

### getHomeAction

    public static Action getHomeAction()

  Returns:
    the home action

### getCollapseAction

    public static Action getCollapseAction()

  Returns:
    the collapse action

### getExpandAction

    public static Action getExpandAction()

  Returns:
    the expand action

### getZoomActualAction

    public static Action getZoomActualAction()

  Returns:
    the zoom actual action

### getZoomInAction

    public static Action getZoomInAction()

  Returns:
    the zoom in action

### getZoomOutAction

    public static Action getZoomOutAction()

  Returns:
    the zoom out action

### getToBackAction

    public static Action getToBackAction()

  Returns:
    the action that moves cell(s) to the backmost layer

### getToFrontAction

    public static Action getToFrontAction()

  Returns:
    the action that moves cell(s) to the frontmost layer

### getGraph

    public static final mxGraph getGraph(ActionEvent e)

  Parameters:
    `e` -
  Returns:
    Returns the graph for the given action event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.